Skip to content
Snippets Groups Projects
Commit 4c5381a0 authored by Bob Mottram's avatar Bob Mottram
Browse files

Also do the downgrade trick for mesh install of peertube

parent 167b0b6a
No related branches found
No related tags found
No related merge requests found
......@@ -653,7 +653,7 @@ echo "deb https://dl.yarnpkg.com/debian/ stable main" | sudo tee /etc/apt/source
apt-get -y update
apt-get -yq install yarn
#npm install --arch=$NPM_ARCH -g yarn
#npm install --arch=$NPM_ARCH -g yarn@1.5.1
#if [ ! "\$?" = "0" ]; then
# echo $'PeerTube Failed to install yarn'
# exit 79353234
......@@ -675,11 +675,22 @@ if [ ! "\$?" = "0" ]; then
echo $'PeerTube failed to run yarn install'
exit 63754235
fi
if ! npm install --arch=$NPM_ARCH -g npm@4; then
# https://github.com/KraigM/homebridge-harmonyhub/issues/119
echo $'Failed to downgrade npm'
exit 3476835
fi
cp /root/.npm-global/bin/npm /usr/local/bin/npm
npm install --arch=$NPM_ARCH
if [ ! "\$?" = "0" ]; then
echo $'PeerTube failed to install peertube'
exit 7835243
fi
if ! npm install --arch=$NPM_ARCH -g "npm@${NPM_VERSION}"; then
echo $'Failed to restore npm after downgrade'
exit 5737583
fi
cp /root/.npm-global/bin/npm /usr/local/bin/npm
npm run build --arch=$NPM_ARCH
if [ ! "\$?" = "0" ]; then
echo $'PeerTube failed to build peertube'
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment